Skip to main content

June 9, 2026

· 3 min read

POST /customers/{id}/resend_invite

  • endpoint added

View updated docs

GET /reports/customers.grouped/data

  • added the new optional query request parameter last_payment_amount_gte

  • added the new optional query request parameter last_payment_amount_lte

  • added the new optional query request parameter total_spend_amount_gte

  • added the new optional query request parameter total_spend_amount_lte

View updated docs

POST /reports/customers.grouped/export

  • added the new optional request property last_payment_amount_gte (media type: application/json)

  • added the new optional request property last_payment_amount_lte (media type: application/json)

  • added the new optional request property total_spend_amount_gte (media type: application/json)

  • added the new optional request property total_spend_amount_lte (media type: application/json)

View updated docs

GET /reports/customers/data

  • added the new optional query request parameter last_payment_amount_gte

  • added the new optional query request parameter last_payment_amount_lte

  • added the new optional query request parameter total_spend_amount_gte

  • added the new optional query request parameter total_spend_amount_lte

  • added the enum value total_spend_amount to the property items/ of the query request parameter columns

  • added the optional property rows/items/total_spend_amount to the response with the 200 status

View updated docs

POST /reports/customers/export

  • added the new optional request property last_payment_amount_gte (media type: application/json)

  • added the new optional request property last_payment_amount_lte (media type: application/json)

  • added the new optional request property total_spend_amount_gte (media type: application/json)

  • added the new optional request property total_spend_amount_lte (media type: application/json)

  • added the new total_spend_amount enum value to the request property columns/items/ (media type: application/json)

View updated docs

GET /staff/{id}/ui_settings

  • endpoint added

View updated docs

PATCH /staff/{id}/ui_settings

  • endpoint added

View updated docs